Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 55)
@@ -106,5 +106,5 @@
 ####
 ####
-#### TRACEURS: POUR L'INSTANT NE PAS CHANGER L'ORDRE (>> mais l'ordre n'est-il pas defini plus bas ? dans les options mars ?)
+#### TRACEURS: l'ordre dans SCALAR est defini plus bas dans les options mars)
 #### - effacer le h si l'on veut eviter les sorties
 ####
@@ -192,4 +192,6 @@
 state  real   isoil_gc       igj   dyn_em  1  Z  i1  "ISOIL"            "soil thermal inertia"    "tiu"
 state  real   dsoil_gc       igj   dyn_em  1  Z  i1  "DSOIL"            "soil depths"             "m"
+state  real   dustq_gc       igj   dyn_em  1  Z  i1  "DUSTQ"            "dust mixing ratio"       "kg/kg"
+state  real   dustn_gc       igj   dyn_em  1  Z  i1  "DUSTN"            "dust number density"     "kg/kg"
 ####
 #### variables dans wrf
@@ -1332,5 +1334,7 @@
 package   dust         mars==2                      -              moist:qv;scalar:qdust
 #package   newwater     mars==11                     -              scalar:qco2,qh2o,qh2o_ice
-package   newwater     mars==11                     -              scalar:qco2,qh2o,qh2o_ice,qdust,qdust_number
+#package   newwater     mars==11                     -              scalar:qco2,qh2o,qh2o_ice,qdust,qdust_number
+### NOTE: toujours CO2 en dernier 
+package   newwater     mars==11                     -              scalar:qh2o,qh2o_ice,qdust,qdust_number,qco2
 ##### MARS OPTIONS
 ##### MARS OPTIONS
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq.inc
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq.inc	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq.inc	(revision 55)
@@ -7,5 +7,5 @@
        CALL meso_physiq (ngrid,nlayer,nq,                              &
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
-               pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+               pplev,pplay,pphi,pu, pv, pt, pq, pw,             &
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc	(revision 55)
@@ -8,4 +8,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc	(revision 55)
@@ -11,4 +11,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
@@ -23,4 +26,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc	(revision 55)
@@ -11,4 +11,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
@@ -23,4 +26,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
@@ -35,4 +41,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc	(revision 55)
@@ -11,4 +11,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
@@ -23,4 +26,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
@@ -35,4 +41,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
@@ -47,4 +56,7 @@
                firstcall,lastcall,wday_ini,pday,ptime,ptimestep,       &
                pplev,pplay,pphi,pu, pv, pt, pq, pw,                    &
+#ifdef NEWPHYS
+               wtnom, &
+#endif
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 55)
@@ -1262,5 +1262,5 @@
 
         print *, '**** WATER CYCLE ON ****' 
-        !print *, size(scalar(0,0,0,:)), P_QH2O, P_QH2O_ICE
+        print *, size(scalar(0,0,0,:)), P_QH2O, P_QH2O_ICE
 
         
@@ -1289,4 +1289,24 @@
         !!****MARS:
 
+endif
+if (config_flags%mars == 11) then
+        print *, '**** DUST var RADIUS ON ****'
+        !print *, size(scalar(0,0,0,:)), P_QDUST, P_Qdust_number
+
+       CALL vert_interp_old ( grid%em_dustq_gc , grid%em_pd_gc , scalar(:,:,:,4) , grid%em_pb , &
+                                    num_metgrid_levels , 'Q' , &
+                                    interp_type , lagrange_order , lowest_lev_from_sfc , &
+                                    zap_close_levels , force_sfc_in_vinterp , &
+                                    ids , ide , jds , jde , kds , kde , &
+                                    ims , ime , jms , jme , kms , kme , &
+                                    its , ite , jts , jte , kts , kte )
+
+       CALL vert_interp_old ( grid%em_dustn_gc , grid%em_pd_gc , scalar(:,:,:,5) , grid%em_pb , &
+                                    num_metgrid_levels , 'Q' , &
+                                    interp_type , lagrange_order , lowest_lev_from_sfc , &
+                                    zap_close_levels , force_sfc_in_vinterp , &
+                                    ids , ide , jds , jde , kds , kde , &
+                                    ims , ime , jms , jme , kms , kme , &
+                                    its , ite , jts , jte , kts , kte )
 endif
 
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F	(revision 55)
@@ -2692,4 +2692,5 @@
 
 !!!!****MARS: pass water vapor at boundaries (and all other tracers if nested domains)
+!!!!****MARS: mars=11 que faire ??? 
 IF (  ( (config_flags%mars .eq. 1) .AND. (is .EQ. 2) ) &
  .OR. ( (config_flags%mars .eq. 11) .AND. (is .EQ. 2) ) &
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/main/real_em.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 55)
@@ -564,8 +564,12 @@
 !!!***MARS INIT_ICE
    REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: q2bdy3dtemp1
+   REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: q3bdy3dtemp1
+   REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: q4bdy3dtemp1
    REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: mbdy2dtemp1
    REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: ubdy3dtemp2 , vbdy3dtemp2 , tbdy3dtemp2 , pbdy3dtemp2 , qbdy3dtemp2
 !!!***MARS INIT_ICE
    REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: q2bdy3dtemp2
+   REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: q3bdy3dtemp2
+   REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: q4bdy3dtemp2
    REAL , DIMENSION(:,:,:) , ALLOCATABLE , SAVE :: mbdy2dtemp2
 real::t1,t2
@@ -617,4 +621,6 @@
 !!!***MARS INIT_ICE
       IF ( ALLOCATED ( q2bdy3dtemp1 ) ) DEALLOCATE ( q2bdy3dtemp1 )
+      IF ( ALLOCATED ( q3bdy3dtemp1 ) ) DEALLOCATE ( q3bdy3dtemp1 )
+      IF ( ALLOCATED ( q4bdy3dtemp1 ) ) DEALLOCATE ( q4bdy3dtemp1 )
       IF ( ALLOCATED ( mbdy2dtemp1 ) ) DEALLOCATE ( mbdy2dtemp1 )
       IF ( ALLOCATED ( ubdy3dtemp2 ) ) DEALLOCATE ( ubdy3dtemp2 )
@@ -625,4 +631,6 @@
 !!!***MARS INIT_ICE
       IF ( ALLOCATED ( q2bdy3dtemp2 ) ) DEALLOCATE ( q2bdy3dtemp2 )
+      IF ( ALLOCATED ( q3bdy3dtemp2 ) ) DEALLOCATE ( q3bdy3dtemp2 )
+      IF ( ALLOCATED ( q4bdy3dtemp2 ) ) DEALLOCATE ( q4bdy3dtemp2 )
       IF ( ALLOCATED ( mbdy2dtemp2 ) ) DEALLOCATE ( mbdy2dtemp2 )
 
@@ -634,4 +642,6 @@
 !!!***MARS INIT_ICE
       ALLOCATE ( q2bdy3dtemp1(ims:ime,kms:kme,jms:jme) )
+      ALLOCATE ( q3bdy3dtemp1(ims:ime,kms:kme,jms:jme) )
+      ALLOCATE ( q4bdy3dtemp1(ims:ime,kms:kme,jms:jme) )
       ALLOCATE ( mbdy2dtemp1(ims:ime,1:1,    jms:jme) )
       ALLOCATE ( ubdy3dtemp2(ims:ime,kms:kme,jms:jme) )
@@ -642,4 +652,6 @@
 !!!***MARS INIT_ICE
       ALLOCATE ( q2bdy3dtemp2(ims:ime,kms:kme,jms:jme) )
+      ALLOCATE ( q3bdy3dtemp2(ims:ime,kms:kme,jms:jme) )
+      ALLOCATE ( q4bdy3dtemp2(ims:ime,kms:kme,jms:jme) )
       ALLOCATE ( mbdy2dtemp2(ims:ime,1:1,    jms:jme) )
 
@@ -679,4 +691,5 @@
 !                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
 !!!!MARS : pb a regler avec P_QH2O qui n est pas reconnu si QH2O n est pas dans active dans le registry 
+!!!!MARS ----> pourquoi on ne fait pas une boucle sur les traceurs ??? a cause q2bdy3dtemp1
 IF ( (config_flags%mars .eq. 1) .OR. (config_flags%mars == 11) ) THEN
       CALL couple ( grid%em_mu_2 , grid%em_mub , qbdy3dtemp1 , grid%scalar(:,:,:,2) , 't' , grid%msft , &
@@ -684,4 +697,10 @@
 !!!INIT_ICE
       CALL couple ( grid%em_mu_2 , grid%em_mub , q2bdy3dtemp1 , grid%scalar(:,:,:,3) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
+ENDIF
+IF (config_flags%mars == 11) THEN
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q3bdy3dtemp1 , grid%scalar(:,:,:,4) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q4bdy3dtemp1 , grid%scalar(:,:,:,5) , 't' , grid%msft , &
                     ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
 ENDIF
@@ -753,4 +772,14 @@
                                                                  ips , ipe , jps, jpe , kps , kpe )
 ENDIF
+IF (config_flags%mars == 11) THEN
+      CALL stuff_bdy     ( q3bdy3dtemp1 , grid%scalar_b(:,:,:,:,4)   , 'T' , ijds, ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q4bdy3dtemp1 , grid%scalar_b(:,:,:,:,5)   , 'T' , ijds, ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+ENDIF
 !!!!MARS
 
@@ -813,4 +842,10 @@
 !!!INIT_ICE
       CALL couple ( grid%em_mu_2 , grid%em_mub , q2bdy3dtemp2 , grid%scalar(:,:,:,3) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
+ENDIF
+IF (config_flags%mars == 11) THEN
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q3bdy3dtemp2 , grid%scalar(:,:,:,4) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q4bdy3dtemp2 , grid%scalar(:,:,:,5) , 't' , grid%msft , &
                     ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
 ENDIF
@@ -887,4 +922,16 @@
                                                             ips , ipe , jps , jpe , kps , kpe )
 ENDIF
+IF (config_flags%mars == 11) THEN
+      CALL stuff_bdytend ( q3bdy3dtemp2 , q3bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,4) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q4bdy3dtemp2 , q4bdy3dtemp1 , REAL(interval_seconds) ,grid%scalar_bt(:,:,:,:,5) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+ENDIF
 !!!!MARS
 
@@ -973,4 +1020,6 @@
 !!!INIT_ICE
                   q2bdy3dtemp1(i,k,j) = q2bdy3dtemp2(i,k,j)
+                  q3bdy3dtemp1(i,k,j) = q3bdy3dtemp2(i,k,j)
+                  q4bdy3dtemp1(i,k,j) = q4bdy3dtemp2(i,k,j)
                END DO
             END DO
@@ -1040,4 +1089,14 @@
                                                                     ips , ipe , jps , jpe , kps , kpe )
 ENDIF
+IF (config_flags%mars == 11) THEN
+        CALL stuff_bdy     ( q3bdy3dtemp1 , grid%scalar_b(:,:,:,:,4)   , 'T', ijds , ijde , spec_bdy_width      , &
+                                                                    ids , ide , jds , jde , kds , kde , &
+                                                                    ims , ime , jms , jme , kms , kme , &
+                                                                    ips , ipe , jps , jpe , kps , kpe )
+        CALL stuff_bdy     ( q4bdy3dtemp1 , grid%scalar_b(:,:,:,:,5)   , 'T', ijds , ijde , spec_bdy_width      , &
+                                                                    ids , ide , jds , jde , kds , kde , &
+                                                                    ims , ime , jms , jme , kms , kme , &
+                                                                    ips , ipe , jps , jpe , kps , kpe )
+ENDIF
 !!!!MARS
 
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 55)
@@ -176,4 +176,5 @@
 #ifdef NEWPHYS
    REAL,DIMENSION(:,:),ALLOCATABLE :: wisoil,wdsoil
+   CHARACTER*20,DIMENSION(:),ALLOCATABLE :: wtnom
 #endif 
    ! ----------	
@@ -189,7 +190,13 @@
    REAL, DIMENSION(:), ALLOCATABLE  :: &
      dz8w_prof,p8w_prof,p_prof,t_prof,t8w_prof, &
-     u_prof,v_prof,z_prof, &
+     u_prof,v_prof,z_prof
+!!   pi_prof, rho_prof, th_prof, &
+#ifdef NEWPHYS
+   REAL, DIMENSION(:,:), ALLOCATABLE :: q_prof
+#else
+   REAL, DIMENSION(:), ALLOCATABLE  :: &
      water_vapor_prof, water_ice_prof
-!!   pi_prof, rho_prof, th_prof, &
+#endif
+
 
    ! Additional control variables
@@ -553,7 +560,11 @@
 !ALLOCATE(rho_prof(nlayer))
 !ALLOCATE(pi_prof(nlayer))
+#ifdef NEWPHYS
+ALLOCATE(q_prof(nlayer,nq))
+ALLOCATE(wtnom(nq))
+#else
 ALLOCATE(water_vapor_prof(nlayer))
 ALLOCATE(water_ice_prof(nlayer))
-
+#endif
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -562,5 +573,17 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
+#ifdef NEWPHYS
+!!! name of tracers -- see Registry.EM for order and traceur.def for names
+SELECT CASE (MARS_MODE)
+    CASE(0)  !! NO TRACERS (mars=0)
+      wtnom(nq) = 'co2'
+    CASE(11) !! newwater mars==11 scalar:qh2o,qh2o_ice,qdust,qdust_number,qco2
+      wtnom(nq) = 'co2'
+      wtnom(1) = 'h2o_vap'
+      wtnom(2) = 'h2o_ice'
+      wtnom(3) = 'dust_mass'
+      wtnom(4) = 'dust_number'
+END SELECT
+#endif
 
 DO j = jps,jpe
@@ -595,4 +618,8 @@
 ! specific treatment for tracers !
 !--------------------------------!
+#ifdef NEWPHYS
+q_prof(:,1:nq) = SCALAR(i,kps:kpe,j,2:nq+1)  !! the names were set above !! one dummy tracer in WRF
+q_prof(:,nq) = 0.95 !! cas du CO2 !! TEMPORAIRE
+#else
 SELECT CASE (MARS_MODE)
     CASE(0)  !! NO TRACERS (mars=0)
@@ -606,4 +633,5 @@
     water_ice_prof(:) = 0.
 END SELECT
+#endif
 
 !!**********************************************************!!
@@ -764,4 +792,5 @@
 PRINT *,'isoil ',isoil_val
 PRINT *,'dsoil ',dsoil_val
+PRINT *,'q_prof ',q_prof
 #endif
 ENDIF
@@ -833,6 +862,9 @@
 
 !---------!
-! Tracers !
+! Tracers !  
 !---------!
+#ifdef NEWPHYS
+pq(subs,:,:) = q_prof(:,:)  !! traceurs generiques, seuls noms sont specifiques
+#else
 SELECT CASE (MARS_MODE)
     CASE(0)  !! NO TRACERS (mars=0)
@@ -844,5 +876,5 @@
     pq(subs,:,nq) = water_vapor_prof(:) !! NB: which is 0, actually (see above)
 END SELECT
-
+#endif
 ENDDO
 ENDDO
@@ -865,6 +897,10 @@
 DEALLOCATE(u_prof)
 DEALLOCATE(v_prof)
+#ifdef NEWPHYS
+DEALLOCATE(q_prof)
+#else
 DEALLOCATE(water_vapor_prof)
 DEALLOCATE(water_ice_prof)
+#endif
     !!! no use
     !DEALLOCATE(pi_prof)
@@ -944,4 +980,5 @@
 DEALLOCATE(wisoil)
 DEALLOCATE(wdsoil)
+DEALLOCATE(wtnom)
 #endif
 
@@ -1019,6 +1056,10 @@
 
 !---------!
-! Tracers !
+! Tracers !  
 !---------!
+#ifdef NEWPHYS
+SCALAR(i,kps:kpe,j,1)=0.
+SCALAR(i,kps:kpe,j,2:nq+1)=SCALAR(i,kps:kpe,j,2:nq+1)+pdq(subs,kps:kpe,1:nq)
+#else
 SELECT CASE (MARS_MODE)
 CASE(0)
@@ -1032,6 +1073,7 @@
         !!! Dust 
         SCALAR(i,kps:kpe,j,2)=SCALAR(i,kps:kpe,j,2)+pdq(subs,kps:kpe,nq)
+!!CASE(11) !!!
 END SELECT
-
+#endif
         !!TODO: check if adding the whole tendency once, and set the
         !!TODO: following tendencies to 0 until physics is called again
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/share/module_model_constants.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/share/module_model_constants.F	(revision 54)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/share/module_model_constants.F	(revision 55)
@@ -18,15 +18,19 @@
    REAL    , PARAMETER :: g = 3.72  ! acceleration due to gravity (m {s}^-2)
 
-#if ( NMM_CORE == 1 )
-   REAL    , PARAMETER :: r_d          = 192.  ! gas constant m2 s-2 K-1
-   REAL    , PARAMETER :: cp           = 844.6   ! r= 8.314511E+0 *1000.E+0/mugaz
-#else
-   REAL    , PARAMETER :: r_d          = 192.
-   REAL    , PARAMETER :: cp           = 844.6
-#endif
+!#if ( NMM_CORE == 1 )
+!   REAL    , PARAMETER :: r_d          = 192.  ! gas constant m2 s-2 K-1
+!   REAL    , PARAMETER :: cp           = 844.6   ! r= 8.314511E+0 *1000.E+0/mugaz
+!#else
+!   REAL    , PARAMETER :: r_d          = 192.
+!   REAL    , PARAMETER :: cp           = 844.6
+!#endif
+
+   REAL    , PARAMETER :: r_d          = 191.
+   REAL    , PARAMETER :: cp           = 744.5
 
    REAL    , PARAMETER :: r_v          = 461.6  ! gas constant for water vapor
    REAL    , PARAMETER :: cv           = cp-r_d
-   REAL    , PARAMETER :: cpv          = 4.4*r_v  ! cp / R = 4.4 ?? ! rcp = r/cp  ~0.256793
+!   REAL    , PARAMETER :: cpv          = 4.4*r_v  ! cp / R = 4.4 ?? ! rcp = r/cp  ~0.256793
+   REAL    , PARAMETER :: cpv          = 3.9*r_v
    REAL    , PARAMETER :: cvv          = cpv-r_v
    REAL    , PARAMETER :: cvpm         = -cv/cp