Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_ideal.txt
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_ideal.txt	(revision 60)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_ideal.txt	(revision 60)
@@ -0,0 +1,4 @@
+jusque 201 OK avec ideal.exe sequentiel
+ensuite il vaut mieux utiliser
+mpirun -n 4 ideal.exe
+le MP_STACK_SIZE est dans le bashrc
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_launch.les
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_launch.les	(revision 60)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/gnome_launch.les	(revision 60)
@@ -0,0 +1,56 @@
+# @ job_name=LMD_LES_MARS
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = MPICH
+# @ total_tasks =20  
+# @ blocking = unlimited
+# @ class =AP
+# @ environment=tmpdir=$(job_name).$(jobid).results
+# @ queue
+grep "^# @" $0
+set -vx
+####################################################################
+mkdir $LOADL_STEP_INITDIR/${tmpdir}
+cd $LOADL_STEP_INITDIR/${tmpdir}
+####################################################################
+ln -sf $LOADL_STEP_INITDIR/*.exe .
+ln -sf $LOADL_STEP_INITDIR/*.def .
+ln -sf $LOADL_STEP_INITDIR/namelist.* .
+ln -sf $LOADL_STEP_INITDIR/input_* .
+####################################################################
+ln -sf $LOADL_STEP_INITDIR/wrfi* .   ### executer ideal.exe sur la 
+                                     ### frontale au prealable
+####################################################################
+declare -x MP_STACK_SIZE=640000000
+mpirun wrf.exe
+
+
+
+
+####################################################################
+## @ total_tasks =16   ## ne fonctionne pas avec 241 points
+## @ total_tasks =20  ## semble mieux fonctionner... bof
+## @ total_tasks =24  ## il y a un souci a l'interface
+
+
+####################################################################
+####################################################################
+###############NE MARCHE PAS AVEC LES GRANDS DOMAINES ##############
+####################################################################
+####################################################################
+#echo "#! /bin/bash"                        > script
+#echo "ulimit -s unlimited"                >> script
+#echo "./ideal.exe"                        >> script
+#echo "mv rsl.out.0000 ideal_rsl.out.0000" >> script
+#chmod 755 script
+#mpirun ./script
+#\rm script
+####################################################################
+##declare -x MP_STACK_SIZE=64000000
+##mpirun ideal.exe      ### PB: ideal.exe est limite a un moment
+##                      ### mais mpirun ideal.exe donne des instabilites
+##ulimit -s unlimited   ### ne resout pas PB... ok 145 pas ok 201
+##./ideal.exe
+##mpirun "ulimit -s unlimited ; ./ideal.exe"
+##mv rsl.out.0000 ideal_rsl.out.0000
+####################################################################
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles	(revision 58)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles	(revision 60)
@@ -72,16 +72,16 @@
 cd $here
 
-#------------------------------
-#------------------------------
-#
-# MPI (dm) 64 bits 
-#
-#TODO: le rendre adapte aux reponses du user a makemeso
-touch conf
-echo 3 >> conf 
-#echo 4 >> conf  #openMP n'arrange pas beaucoup de le tps de calcul
-echo 1 >> conf
-#------------------------------
-#------------------------------
+##------------------------------
+##------------------------------
+##
+## MPI (dm) 64 bits 
+##
+##TODO: le rendre adapte aux reponses du user a makemeso
+#touch conf
+#echo 3 >> conf 
+##echo 4 >> conf  #openMP n'arrange pas beaucoup de le tps de calcul
+#echo 1 >> conf
+##------------------------------
+##------------------------------
 
 
@@ -97,4 +97,8 @@
 #echo 0 >> conf
 
+## MPI (dm) 64 bits IFORT
+touch conf
+echo 7 >> conf
+echo 1 >> conf
 
 
@@ -109,5 +113,5 @@
 #sed s+"-lnetcdf"+"-lnetcdf -L$whereliblmd -llmd"+g configure.wrf | sed s+'mpif90 -f90=$(SFC)'+'/usr/lib64/openmpi/1.2.8-pgf/bin/mpif90'+g | sed s+'mpicc -cc=$(SCC)'+'/usr/lib64/openmpi/1.2.8-gcc/bin/mpicc -DMPI2_SUPPORT'+g > yeah
 ## WHERE_MPI must be defined
-sed s+"-lnetcdf"+"-lnetcdf -L$whereliblmd -llmd"+g configure.wrf | sed s+"mpif90"+"$WHERE_MPI/mpif90"+g | sed s+"mpicc"+"$WHERE_MPI/mpicc"+g > yeah
+sed s+"-lnetcdf"+"-lnetcdf -L$whereliblmd -llmd"+g configure.wrf | sed s+"mpif90"+"$WHERE_MPI/mpif90"+g | sed s+"mpicc"+"$WHERE_MPI/mpicc -DMPI2_SUPPORT"+g > yeah
 #sed s+"# -g"+"-fno-second-underscore # -g"+g configure.wrf | sed s+"-lnetcdf"+"-lnetcdf -L$whereliblmd -llmd"+g > yeah
 #sed s+"-lnetcdf"+"-lnetcdf -L$whereliblmd -llmd"+g configure.wrf | sed s+"#-g"+"-g"+g > yeah
@@ -132,4 +136,9 @@
 #mv yeah configure.wrf
 
+#### OBLIGATOIRE POUR IFORT, OK AVEC LES AUTRES ???
+sed s+"-llmd"+"-llmd $NETCDF/lib/libnetcdf.a"+g configure.wrf > yeah
+mv yeah configure.wrf
+
+
 \rm conf
 