Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles	(revision 60)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles	(revision 61)
@@ -11,5 +11,5 @@
 
 echo "Use -n if you don't want to recompile physics"
-
+echo "Use -p if you want the new LMD physics"
 
 #
@@ -18,7 +18,9 @@
 
 donotcompilephys=0
-while getopts "n" options; do
+phys=""
+while getopts "np" options; do
   case $options in
    n ) donotcompilephys=1;; ## do not recompile physics
+   p ) phys="newphys_";;    ## with new physics
   esac
 done
@@ -40,5 +42,10 @@
 #
 cd $MMM
-makemeso -j
+  if [[ "${phys}" == "newphys_" ]]
+  then
+    makemeso -j -p
+  else
+    makemeso -j
+  fi 
 #
 #makemeso -rd < last > /dev/null
@@ -78,8 +85,8 @@
 ##
 ##TODO: le rendre adapte aux reponses du user a makemeso
-#touch conf
-#echo 3 >> conf 
+touch conf
+echo 3 >> conf 
 ##echo 4 >> conf  #openMP n'arrange pas beaucoup de le tps de calcul
-#echo 1 >> conf
+echo 1 >> conf
 ##------------------------------
 ##------------------------------
@@ -97,8 +104,9 @@
 #echo 0 >> conf
 
-## MPI (dm) 64 bits IFORT
-touch conf
-echo 7 >> conf
-echo 1 >> conf
+### MPI (dm) 64 bits IFORT
+#echo IFORT IFORT IFORT IFORT
+#touch conf
+#echo 7 >> conf
+#echo 1 >> conf
 
 
@@ -127,4 +135,5 @@
 
 sed s+"-fastsse"+" "+g configure.wrf > yeah
+#sed s+"-fastsse"+"-mcmodel=medium -Mlarge_arrays"+g configure.wrf > yeah ##marche pas
 #
 # sometimes fastsse is problematic
@@ -133,14 +142,24 @@
 ##sed s+"-fastsse"+"-fastsse -mcmodel=medium"+g configure.wrf > yeah
 mv yeah configure.wrf
+
+#sed s+"-Mvect=noaltcode"+"#-Mvect=noaltcode"+g configure.wrf > yeah ; mv yeah configure.wrf
+
 #sed s+"-mp -Minfo=mp"+"-mp -Minfo=mp -mp=nonuma"+g configure.wrf > yeah
 #mv yeah configure.wrf
 
-#### OBLIGATOIRE POUR IFORT, OK AVEC LES AUTRES ???
+#### OBLIGATOIRE POUR IFORT, OK AVEC LES AUTRES ??? a priori oui
 sed s+"-llmd"+"-llmd $NETCDF/lib/libnetcdf.a"+g configure.wrf > yeah
 mv yeah configure.wrf
 
+#############################################################
+  if [[ "${phys}" == "newphys_" ]]
+  then
+     sed s+"ARCH_LOCAL      =       "+"ARCH_LOCAL      =       -DNEWPHYS "+g configure.wrf > yeah
+     mv -f yeah configure.wrf
+  fi
+#############################################################
+
 
 \rm conf
-
 
 #
Index: trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles_ciclad
===================================================================
--- trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles_ciclad	(revision 60)
+++ trunk/mesoscale/LMD_LES_MARS/modif_mars/makeles_ciclad	(revision 61)
@@ -11,5 +11,5 @@
 
 echo "Use -n if you don't want to recompile physics"
-
+echo "Use -p if you want the new LMD physics"
 
 #
@@ -18,7 +18,9 @@
 
 donotcompilephys=0
-while getopts "n" options; do
+phys=""
+while getopts "np" options; do
   case $options in
    n ) donotcompilephys=1;; ## do not recompile physics
+   p ) phys="newphys_";;    ## with new physics
   esac
 done
@@ -40,5 +42,10 @@
 #
 cd $MMM
-makemeso -j
+  if [[ "${phys}" == "newphys_" ]]
+  then
+    makemeso -j -p
+  else
+    makemeso -j
+  fi 
 #
 #makemeso -rd < last > /dev/null
@@ -72,16 +79,16 @@
 cd $here
 
-#------------------------------
-#------------------------------
-#
-# MPI (dm) 64 bits 
-#
-#TODO: le rendre adapte aux reponses du user a makemeso
+##------------------------------
+##------------------------------
+##
+## MPI (dm) 64 bits 
+##
+##TODO: le rendre adapte aux reponses du user a makemeso
 touch conf
 echo 3 >> conf 
-#echo 4 >> conf  #openMP n'arrange pas beaucoup de le tps de calcul
+##echo 4 >> conf  #openMP n'arrange pas beaucoup de le tps de calcul
 echo 1 >> conf
-#------------------------------
-#------------------------------
+##------------------------------
+##------------------------------
 
 
@@ -97,4 +104,9 @@
 #echo 0 >> conf
 
+### MPI (dm) 64 bits IFORT
+#echo IFORT IFORT IFORT IFORT
+#touch conf
+#echo 7 >> conf
+#echo 1 >> conf
 
 
@@ -132,14 +144,23 @@
 mv yeah configure.wrf
 
-
 #sed s+"-Mvect=noaltcode"+"#-Mvect=noaltcode"+g configure.wrf > yeah ; mv yeah configure.wrf
-
-
 
 #sed s+"-mp -Minfo=mp"+"-mp -Minfo=mp -mp=nonuma"+g configure.wrf > yeah
 #mv yeah configure.wrf
 
+#### OBLIGATOIRE POUR IFORT, OK AVEC LES AUTRES ??? a priori oui
+sed s+"-llmd"+"-llmd $NETCDF/lib/libnetcdf.a"+g configure.wrf > yeah
+mv yeah configure.wrf
+
+#############################################################
+  if [[ "${phys}" == "newphys_" ]]
+  then
+     sed s+"ARCH_LOCAL      =       "+"ARCH_LOCAL      =       -DNEWPHYS "+g configure.wrf > yeah
+     mv -f yeah configure.wrf
+  fi
+#############################################################
+
+
 \rm conf
-
 
 #