Index: trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/compile
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/compile	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/compile	(revision 69)
@@ -9,8 +9,8 @@
 nz=32
 ##################
-tracers=1
-nx=64
-ny=48
-nz=25
+#tracers=1
+#nx=64
+#ny=48
+#nz=25
 ##################
 
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/myGCM/launch_gcm
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/myGCM/launch_gcm	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/myGCM/launch_gcm	(revision 69)
@@ -11,5 +11,6 @@
 #startbase='/d5/aslmd/LMD_MM_MARS_DATA/STARTBASE_64_48_32_t2'
 #startbase='/d5/aslmd/LMD_MM_MARS_DATA/old_STARTBASE_64_48_25'
-startbase='/d5/aslmd/LMD_MM_MARS_DATA/STARTBASE_64_48_25'
+#startbase='/d5/aslmd/LMD_MM_MARS_DATA/STARTBASE_64_48_25'
+startbase='/d5/aslmd/LMD_MM_MARS_DATA/STARTBASE_64_48_32_t2'
 ##################
 
Index: trunk/mesoscale/LMD_MM_MARS/SRC/PREP_MARS/readmeteo.F90
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/PREP_MARS/readmeteo.F90	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/PREP_MARS/readmeteo.F90	(revision 69)
@@ -84,4 +84,5 @@
 real, dimension(:,:,:,:), allocatable :: tsoilfile
 real, dimension(:,:,:,:), allocatable :: waterfile, watericefile
+real, dimension(:,:,:), allocatable :: swaterfile, swatericefile
 
 !! Reading the parameter file 
@@ -210,4 +211,6 @@
 allocate(waterfile(lonlen,latlen,altlen,timelen))
 allocate(watericefile(lonlen,latlen,altlen,timelen))
+allocate(swaterfile(lonlen,latlen,timelen))
+allocate(swatericefile(lonlen,latlen,timelen))
 allocate(psfile(lonlen,latlen,timelen)) 
 allocate(tsfile(lonlen,latlen,timelen))
@@ -236,4 +239,6 @@
 waterfile(:,:,:,:)=0
 watericefile(:,:,:,:)=0
+swaterfile(:,:,:)=0
+swatericefile(:,:,:)=0
 psfile(:,:,:)=0 
 tsfile(:,:,:)=0
@@ -559,4 +564,20 @@
     endif
     ierr=NF_GET_VAR_REAL(nid,nvarid,watericefile)
+
+    print *,'Surface Water vapor'
+    ierr=NF_INQ_VARID(nid,"qsurf02",nvarid)
+    if (ierr.ne.NF_NOERR) then
+      write(*,*) "...No qsurf02 - surface Water vapor set to 0"
+      swaterfile(:,:,:)=0.
+    endif
+    ierr=NF_GET_VAR_REAL(nid,nvarid,swaterfile)
+
+    print *,'Surface Water ice'
+    ierr=NF_INQ_VARID(nid,"qsurf01",nvarid)
+    if (ierr.ne.NF_NOERR) then
+      write(*,*) "...No qsurf01 - surface Water ice set to 0"
+      swatericefile(:,:,:)=0.
+    endif
+    ierr=NF_GET_VAR_REAL(nid,nvarid,swatericefile)
 !!------------------------
 !! special water stuff
@@ -983,5 +1004,6 @@
 DESC='Water vapor'
 XLVL=200100.
-SLAB=waterfile(:,:,1,time_out(l))
+!SLAB=waterfile(:,:,1,time_out(l))
+SLAB=swaterfile(:,:,time_out(l))
         ! And now put everything in the destination file
         ! ... Header
@@ -1001,5 +1023,6 @@
 DESC='Water ice'
 XLVL=200100.
-SLAB=watericefile(:,:,1,time_out(l))
+!SLAB=watericefile(:,:,1,time_out(l))
+SLAB=swatericefile(:,:,time_out(l))
         ! And now put everything in the destination file
         ! ... Header
@@ -1238,4 +1261,6 @@
 deallocate(waterfile)
 deallocate(watericefile)
+deallocate(swaterfile)
+deallocate(swatericefile)
 deallocate(psfile) 
 deallocate(tsfile)
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars	(revision 69)
@@ -97,4 +97,5 @@
 #	fill_missing=400. #north polar TI (needed with thermal_TES)
 #        fill_missing=180. #polar projection artefacts
+        fill_missing=4100. #north polar TI (needed with thermal_TES 64ppd)
 ===============================
 name = ALBEDO_GCM
@@ -113,4 +114,5 @@
         rel_path=       64ppd_noHRti:albedo_TES/
 #        fill_missing=0.35 #north polar alb (needed with albedo_TES - albedo_GCM/1.3 to be consistent)
+        fill_missing=0.325 #north polar alb (needed with albedo_TES 64 ppd)
         interp_option = custom:sixteen_pt+four_pt
         rel_path=       custom:albedo_TES/
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars_POLARTESTS
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars_POLARTESTS	(revision 69)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WPS/wps_mars/geogrid/GEOGRID.TBL.ARW_Mars_POLARTESTS	(revision 69)
@@ -0,0 +1,240 @@
+# See options.txt for a (somewhat up to date) list of the 
+# options that may be specified here.
+===============================
+name = HGT_M
+        priority = 1
+        dest_type = continuous
+        df_dx=SLPX
+        df_dy=SLPY
+        fill_missing=9000.
+#        smooth_option = 1-2-1; smooth_passes=5 #10000
+#         smooth_option = 1-2-1; smooth_passes=2
+#        smooth_option = smth-desmth_special; smooth_passes=5
+        smooth_option = smth-desmth_special; smooth_passes=2
+        interp_option =         default:average_gcell(4.0)+four_pt+average_4pt
+#        smooth_option = 1-2-1; smooth_passes=1
+#        smooth_option = smth-desmth; smooth_passes=5
+##        smooth_option = 1-2-1; smooth_passes=5
+#### tous a four_pt normalement
+#	interp_option =		default:sixteen_pt+four_pt
+#        #interp_option = 	32ppd:sixteen_pt+four_pt
+#        interp_option =         32ppd_HRalb:sixteen_pt+four_pt
+#        interp_option =         gcm:four_pt
+#        interp_option = 	64ppd:sixteen_pt+four_pt
+#         interp_option =         64ppd_noHRti:sixteen_pt+four_pt
+#        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+#        interp_option =		custom:four_pt
+#        interp_option =         omega:four_pt
+#        interp_option =         32ppd:average_gcell(4.0)+four_pt+average_4pt
+#        #interp_option =         32ppd:average_gcell(16.0)+sixteen_pt+average_16pt
+        rel_path=               default:mola_topo32/
+        rel_path= 		32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path= 		64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = HGT_U
+        output_stagger = U
+        priority = 1
+        dest_type = continuous
+        fill_missing=9000.
+#        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = 1-2-1; smooth_passes=2        
+#        smooth_option = smth-desmth_special; smooth_passes=5
+        smooth_option = smth-desmth_special; smooth_passes=2
+        interp_option =         default:average_gcell(4.0)+four_pt+average_4pt
+##### tous a four_pt normalement
+#	interp_option =		default:sixteen_pt+four_pt
+#        interp_option = 	32ppd:sixteen_pt+four_pt
+#        interp_option =         32ppd_HRalb:sixteen_pt+four_pt
+#        interp_option = 	64ppd:sixteen_pt+four_pt
+#        interp_option =         64ppd_noHRti:sixteen_pt+four_pt
+#        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+#        interp_option =         custom:four_pt
+#        interp_option =         omega:four_pt
+#        interp_option =         gcm:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path=               32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path=               64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = HGT_V
+        output_stagger = V
+        priority = 1
+        dest_type = continuous
+        fill_missing=9000.
+#        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = 1-2-1; smooth_passes=2
+#        smooth_option = smth-desmth_special; smooth_passes=5
+        smooth_option = smth-desmth_special; smooth_passes=2
+        interp_option =         default:average_gcell(4.0)+four_pt+average_4pt
+##### tous a four_pt normalement
+#	interp_option =		default:sixteen_pt+four_pt
+#        interp_option = 	32ppd:sixteen_pt+four_pt
+#        interp_option =         32ppd_HRalb:sixteen_pt+four_pt
+#        interp_option = 	64ppd:sixteen_pt+four_pt
+#        interp_option =         64ppd_noHRti:sixteen_pt+four_pt
+#        interp_option =         128ppd:average_gcell(4.0)+four_pt+average_4pt
+#        interp_option =         custom:four_pt
+#        interp_option =         omega:four_pt
+#        interp_option =         gcm:four_pt
+        rel_path=               default:mola_topo32/
+        rel_path=               32ppd:mola_topo32/
+        rel_path=               32ppd_HRalb:mola_topo32/
+        rel_path=               gcm:mola_GCM/
+        rel_path=               64ppd:mola_topo64/
+        rel_path=               64ppd_noHRti:mola_topo64/
+        rel_path=               custom:crater2/
+        rel_path=               omega:mola_topo64/
+===============================
+name = THERMAL_INERTIA
+        priority = 1
+        dest_type = continuous
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = smth-desmth_special; smooth_passes=5        
+#        smooth_option = smth-desmth_special; smooth_passes=1
+ 	interp_option =	 	32ppd:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               32ppd:thermal_GCM/
+        interp_option =         32ppd_HRalb:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               32ppd_HRalb:thermal_GCM/
+        interp_option =         64ppd:sixteen_pt+four_pt
+        rel_path=               64ppd:thermal_TES/
+        interp_option =         64ppd_noHRti:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        rel_path=               64ppd_noHRti:thermal_GCM/
+        interp_option =         custom:sixteen_pt+four_pt
+#       rel_path=               custom:thermal_TES/
+	rel_path=               custom:thermal_GCM/
+        interp_option =         omega:sixteen_pt+four_pt
+        rel_path=               omega:thermal_GCM/
+        interp_option =         gcm:four_pt
+        rel_path=               gcm:thermal_GCM/
+	fill_missing=400. #north polar TI (needed with thermal_TES)
+        fill_missing=4000. #north polar TI (needed with thermal_TES 64ppd)
+        fill_missing=4100. #north polar TI (needed with thermal_TES 64ppd)
+#        fill_missing=180. #polar projection artefacts
+===============================
+name = ALBEDO_GCM
+        priority = 1
+        dest_type = continuous
+        smooth_option = 1-2-1; smooth_passes=5
+#        smooth_option = smth-desmth_special; smooth_passes=5 #3
+#        fill_missing=0.25
+#        interp_option = default:sixteen_pt+four_pt+average_4pt+average_16pt+search
+        interp_option = 32ppd:four_pt+average_4pt+average_16pt+search
+        rel_path =      32ppd:albedo_GCM/
+        interp_option = 32ppd_HRalb:sixteen_pt+four_pt
+        rel_path=       32ppd_HRalb:albedo_TES/
+        interp_option = 64ppd:sixteen_pt+four_pt
+        rel_path=       64ppd:albedo_TES/
+        interp_option = 64ppd_noHRti:sixteen_pt+four_pt
+        rel_path=       64ppd_noHRti:albedo_TES/
+        fill_missing=0.35 #north polar alb (needed with albedo_TES - albedo_GCM/1.3 to be consistent)
+        fill_missing=0.33 #north polar alb (needed with albedo_TES 64 ppd)
+        fill_missing=0.325 #north polar alb (needed with albedo_TES 64 ppd)
+        interp_option = custom:sixteen_pt+four_pt
+        rel_path=       custom:albedo_TES/
+        interp_option = omega:sixteen_pt+four_pt
+        rel_path=       omega:albedo_OMG/
+        interp_option = gcm:four_pt
+        rel_path =      gcm:albedo_GCM/
+#===============================
+#name=LANDUSEF
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=land_cat
+#        landmask_water=16               # Calculate a landmask from this field
+#        dominant=LU_INDEX
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:landuse_30s/
+#        rel_path=      2m:landuse_2m/
+#        rel_path=      5m:landuse_5m/
+#        rel_path=     10m:landuse_10m/
+#        rel_path= default:landuse_2m/
+#===============================
+#name=SOILTEMP
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:sixteen_pt+four_pt+average_4pt+average_16pt+search
+#        masked=water
+#        fill_missing=0.
+#        rel_path=default:soiltemp_1deg/
+#===============================
+#name=SOILCTOP
+#        dominant=SOILCAT
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=soil_cat
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:soiltype_top_30s/
+#        rel_path=      2m:soiltype_top_2m/
+#        rel_path=      5m:soiltype_top_5m/
+#        rel_path=     10m:soiltype_top_10m/
+#        rel_path= default:soiltype_top_2m/
+#===============================
+#name=SOILCBOT
+#        priority=1
+#        dest_type=categorical
+#        z_dim_name=soil_cat
+#        interp_option =     30s:nearest_neighbor
+#        interp_option =      2m:four_pt
+#        interp_option =      5m:four_pt
+#        interp_option =     10m:four_pt
+#        interp_option = default:four_pt
+#        rel_path=     30s:soiltype_bot_30s/
+#        rel_path=      2m:soiltype_bot_2m/
+#        rel_path=      5m:soiltype_bot_5m/
+#        rel_path=     10m:soiltype_bot_10m/
+#        rel_path= default:soiltype_bot_2m/
+#===============================
+#name=ALBEDO12M
+#        priority=1
+#        dest_type=continuous
+#        z_dim_name=month
+#        masked = water
+#        fill_missing = 8.
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        rel_path=default:albedo_ncep/
+#===============================
+#name=GREENFRAC
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        z_dim_name=month
+#        masked = water
+#        fill_missing = 0.
+#        rel_path=default:greenfrac/
+#===============================
+#name=SNOALB
+#        priority=1
+#        dest_type=continuous
+#        interp_option=default:four_pt+average_4pt+average_16pt+search
+#        masked = water
+#        fill_missing = 0.
+#        rel_path=default:maxsnowalb/
+#===============================
+#name=SLOPECAT
+#        priority=1
+#        dominant_only=SLOPECAT
+#        dest_type=categorical
+#        z_dim_name=slope_cat
+#        masked = water
+#        fill_missing = 0.
+#        interp_option=default:nearest_neighbor+average_16pt+search
+#        rel_path=default:islope/
+#===============================
+
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_g95
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_g95	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_g95	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_gnu
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_gnu	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_gnu	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_ifort
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_ifort	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_ifort	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_mpi
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_mpi	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_mpi	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_mpifort
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_mpifort	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_mpifort	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_pgf
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_pgf	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/makegcm_pgf	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm.last
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm.last	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm.last	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95.last
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95.last	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95.last	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_ifort
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_ifort	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_ifort	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpi
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpi	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpi	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpifort
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpifort	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpifort	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_pgf
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_pgf	(revision 68)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_pgf	(revision 69)
@@ -1,3 +1,3 @@
-#!/bin/csh
+#!/bin/csh -f
 # $Header: /users/lmdz/cvsroot/LMDZ.3.3/makegcm,v 1.21 2001/07/04 08:41:44 lmdz Exp $
 #set verbose echo