Index: trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/myGCM/run.def.INIT
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/myGCM/run.def.INIT	(revision 72)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/in_lmdz_mars/myGCM/run.def.INIT	(revision 73)
@@ -6,5 +6,5 @@
 - Nombre de jours d'integration                                         
      nday
- 10 30 10
+ 5 10 30 10
 
 - nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
Index: trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 72)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 73)
@@ -48,8 +48,8 @@
       ! MARS CONSTANTS
       ! 
-      REAL, PARAMETER :: Rd  = 192.     ! gas constant m2 s-2 K-1
-      REAL, PARAMETER :: Cp  = 844.6    ! r= 8.314511E+0*1000.E+0/mugaz
-!REAL, PARAMETER :: Rd  = 191.0
-!REAL, PARAMETER :: Cp  = 744.5
+      !REAL, PARAMETER :: Rd  = 192.     ! gas constant m2 s-2 K-1
+      !REAL, PARAMETER :: Cp  = 844.6    ! r= 8.314511E+0*1000.E+0/mugaz
+      REAL, PARAMETER :: Rd  = 191.0
+      REAL, PARAMETER :: Cp  = 744.5
       REAL, PARAMETER :: RCP = Rd/Cp
       REAL, PARAMETER :: p0  = 610.
Index: trunk/mesoscale/LMD_MM_MARS/SRC/PREP_MARS/readmeteo.F90
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/PREP_MARS/readmeteo.F90	(revision 72)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/PREP_MARS/readmeteo.F90	(revision 73)
@@ -74,5 +74,5 @@
 !! Intermediate data arrays
 integer :: k,l,m,n,p
-real, dimension(:), allocatable :: lat,lon,time,alt,aps,bps,levels,dsoilvert
+real, dimension(:), allocatable :: lat,lon,time,alt,aps,bps,levels,vertdsoil
 real, dimension(:,:), allocatable :: vide,ones,ghtsfile
 real, dimension(:,:), allocatable :: interm
@@ -207,5 +207,5 @@
 allocate(dsoilfile(lonlen,latlen,altlen,timelen))
 allocate(isoilfile(lonlen,latlen,altlen,timelen))
-allocate(dsoilvert(altlen))
+allocate(vertdsoil(altlen))
 !allocate(tfileorig(lonlen,latlen,altlen,timelen))
 allocate(ufile(lonlen,latlen,altlen,timelen))
@@ -240,5 +240,5 @@
 isoilfile(:,:,:,:)=0 
 dsoilfile(:,:,:,:)=0 
-dsoilvert(:)=0.
+vertdsoil(:)=0.
 !tfileorig(:,:,:,:)=0
 !ufileorig(:,:,:,:)=0
@@ -591,7 +591,9 @@
 
     print *,'Surface Water ice'
-    ierr=NF_INQ_VARID(nid,"qsurf01",nvarid)
+!!!!!! ATTENTION ATTENTION 
+!!!!!! water ice a la surface est qsurf(ig,nqmx)
+    ierr=NF_INQ_VARID(nid,"qsurf02",nvarid)
     if (ierr.ne.NF_NOERR) then
-      write(*,*) "...No qsurf01 - surface Water ice set to 0"
+      write(*,*) "...No qsurf02 - surface Water ice set to 0"
       swatericefile(:,:,:)=0.
     else
@@ -648,8 +650,8 @@
         write(*,*) "...No soildepth - Set to -999"  !!! see soil_settings in LMD physics
         DO l=1,altlen
-                dsoilvert(l)=-999.
+                vertdsoil(l)=-999.
         ENDDO
     else
-        ierr=NF_GET_VAR_REAL(nid,nvarid,dsoilvert)
+        ierr=NF_GET_VAR_REAL(nid,nvarid,vertdsoil)
     endif
     print *, 'wait a minute' !! AS: I know this could be better
@@ -657,5 +659,5 @@
      DO n=1,latlen
       DO p=1,timelen
-       dsoilfile(m,n,:,p) = dsoilvert(:) 
+       dsoilfile(m,n,:,p) = vertdsoil(:) 
       ENDDO
      ENDDO
@@ -1050,5 +1052,5 @@
 !------------------------! 
 FIELD='SM100200'
-UNITS='kg/kg'
+UNITS='kg/m2'
 DESC='Surf water ice'
 XLVL=200100.
@@ -1470,5 +1472,4 @@
 deallocate(isoilfile)
 deallocate(dsoilfile)
-!deallocate(dsoilvert)
 !deallocate(tfileorig)
 deallocate(ufile)
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/libf/phymars/meso_physiq.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/libf/phymars/meso_physiq.F	(revision 72)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd/libf/phymars/meso_physiq.F	(revision 73)
@@ -1321,7 +1321,19 @@
        
       IF (tracer.AND.water.AND.ngridmx.NE.1) THEN
-         if (caps.and.(obliquit.lt.27.)) then
-           tsurf(ngrid)=1/(1/136.27-r/5.9e+5*alog(0.0095*ps(ngrid)))
-         endif
+         !if (caps.and.(obliquit.lt.27.)) then
+         !  tsurf(ngrid)=1/(1/136.27-r/5.9e+5*alog(0.0095*ps(ngrid)))
+         !endif
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!!! note WRF MESOSCALE AYMERIC -- mot cle "caps"
+!!!!! watercaptag n'est plus utilise que dans vdifc
+!!!!! ... pour que la sublimation ne soit pas stoppee 
+!!!!! ... dans la calotte permanente nord si qsurf=0
+!!!!! on desire garder cet effet regle par caps=T
+!!!!! on a donc commente "if (caps.and.(obliquit.lt.27.))" ci-dessus
+!!!!! --- remplacer ces lignes par qqch de plus approprie
+!!!!!      si on s attaque a la calotte polaire sud
+!!!!! pas d'autre occurrence majeure du mot-cle "caps"
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
 c       -------------------------------------------------------------
 c       Change of surface albedo (set to 0.4) in case of ground frost
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 72)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 73)
@@ -154,5 +154,5 @@
 !-------------------------------------------
    INTEGER ::    i,j,k,its,ite,jts,jte,ij
-   INTEGER ::    subs
+   INTEGER ::    subs,iii
 
    ! *** for LMD physics
@@ -623,4 +623,9 @@
     CASE(0)  !! NO TRACERS (mars=0)
       wtnom(nq) = 'co2'
+    CASE(1)
+      wtnom(1) = 'h2o_vap'  
+      wtnom(2) = 'h2o_ice'
+    CASE(2)
+      wtnom(1) = 'dust'      
     CASE(11) !! newwater mars==11 scalar:qh2o,qh2o_ice,qdust,qdust_number,qco2
       wtnom(nq) = 'co2'
@@ -665,5 +670,8 @@
 #ifdef NEWPHYS
 q_prof(:,1:nq) = SCALAR(i,kps:kpe,j,2:nq+1)  !! the names were set above !! one dummy tracer in WRF
-q_prof(:,nq) = 0.95 !! cas du CO2 !! TEMPORAIRE
+  !!! CAS DU CO2
+  DO iii=1,nq 
+   IF ( wtnom(iii) .eq. 'co2' ) q_prof(:,iii) = 0.95
+  ENDDO
 #else
 SELECT CASE (MARS_MODE)
@@ -790,19 +798,22 @@
 ! Tracer at surface !
 !-------------------!
-#ifdef NEWPHYS
-  !!! a faire !!!
-  PRINT *, 'WARNING WARNING no tracer at surface'
-  qsurf_val(:)=0.
-#else
 SELECT CASE (MARS_MODE)
     CASE(0)  !! NO TRACERS (mars=0)
     qsurf_val(:)=0.
     CASE(1)  !! WATER CYCLE (mars=1)
+#ifdef NEWPHYS    
+    qsurf_val(2)=MARS_WICE(i,j)    !! logique avec wtnom(2) = 'h2o_ice' defini ci-dessus
+    qsurf_val(1)=0.
+#else
     qsurf_val(2)=MARS_WICE(i,j)    !! attention... H2O ice is tracer nqmx in qsurf in LMD physics
-    qsurf_val(1)=0.                
+    qsurf_val(1)=0.
+#endif    
     CASE(2)  !! DUST CYCLE (mars=2)
     qsurf_val(:)=0.
+#ifdef NEWPHYS
+    CASE(11)
+    qsurf_val(:)=0. !! provisoire        
+#endif
 END SELECT
-#endif
 
 !-------------------!
Index: trunk/mesoscale/LMD_MM_MARS/makemeso
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 72)
+++ trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 73)
@@ -171,4 +171,5 @@
     if [[ "${phys}" == "newphys_" ]]
     then
+     \rm copy_model_tmp > /dev/null
      sed s+"mars_lmd"+"mars_lmd_new"+g copy_model > copy_model_tmp
      chmod 755 copy_model_tmp