Index: trunk/mesoscale/LMDZ.MARS.new/myGCM/callphys.def
===================================================================
--- trunk/mesoscale/LMDZ.MARS.new/myGCM/callphys.def	(revision 76)
+++ trunk/mesoscale/LMDZ.MARS.new/myGCM/callphys.def	(revision 77)
@@ -1,1 +1,1 @@
-link DEFS_JB/callphys.def
+link DEFS_JB/callphys.def.orig
Index: trunk/mesoscale/LMD_MM_MARS/SRC/ARWpost/idl/profile.pro
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/ARWpost/idl/profile.pro	(revision 76)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/ARWpost/idl/profile.pro	(revision 77)
@@ -124,6 +124,6 @@
 	ytitle=ytitle,$
 	title=title_user,$
-/ylog
-;	subtitle=mention 
+;/ylog
+	subtitle=mention 
 
 ;-------------
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 76)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 77)
@@ -92,10 +92,13 @@
 state  real  MTOT      ij   misc  1  -  rhd  "MTOT"      "TOTAL MASS WATER VAPOR"          "kg m-2"  #SAVEMARS2 mtot
 state  real  ICETOT    ij   misc  1  -  rhd  "ICETOT"    "TOTAL MASS WATER ICE"            "kg m-2"  #SAVEMARS2 icetot
-state  real  RAVE      ij   misc  1  -  rhd  "RAVE"      "MEAN ICE RADIUS"                 "m"       #SAVEMARS2 rave
-state  real  RICE      ikj  misc  1  -  rd   "RICE"      "ICE RADIUS"                      "m"       #SAVEMARS3 rice
+state  real  RAVE      ij   misc  1  -  rd   "RAVE"      "MEAN ICE RADIUS"                 "m"       #SAVEMARS2 rave
+state  real  RICE      ikj  misc  1  -  rhd  "RICE"      "ICE RADIUS"                      "m"       #SAVEMARS3 rice
 state  real  HR_SW     ikj  misc  1  -  rd   "HR_SW"     "HEATING RATE SW"                 "K/s"     #SAVEMARS3 zdtsw
 state  real  HR_LW     ikj  misc  1  -  rd   "HR_LW"     "HEATING RATE LW"                 "K/s"     #SAVEMARS3 zdtlw
 state  real  HR_SH     ikj  misc  1  -  rd   "HR_SH"     "HEATING RATE sens. heat"         "K/s"     #SAVEMARS3 zdtdif
-state  real  QSURF     ij   misc  1  -  rhd  "QSURF"     "TRACER AT SURFACE"               "kg m-2"  #SAVEMARS2 qsurflast
+state  real  QSURFICE  ij   misc  1  -  rhd  "QSURFICE"  "WATER ICE AT SURFACE"            "kg m-2"  #SAVEMARS2 qsurfice
+state  real  RDUST     ikj  misc  1  -  rhd  "RDUST"     "DUST RADIUS"                     "m"       #SAVEMARS3 rdust
+state  real  HR_NIR    ikj  misc  1  -  rd   "HR_NIR"    "HEATING RATE nirco2"             "K/s"     #SAVEMARS3 zdtnirco2
+state  real  HR_NLTE   ikj  misc  1  -  rd   "HR_NLTE"   "HEATING RATE nlte"               "K/s"     #SAVEMARS3 zdtnlte
 ####
 ####
@@ -1237,6 +1240,6 @@
 rconfig   logical     pd_moist            namelist,dynamics	max_domains    .false.  rh    "pd_moist"         "positive-definite RK3 transport switch"      ""
 rconfig   logical     pd_chem             namelist,dynamics	max_domains    .false. rh    "pd_chem"          "positive-definite RK3 transport switch"      ""
-#rconfig   logical     pd_scalar           namelist,dynamics	max_domains    .true.  rh    "pd_scalar"        "positive-definite RK3 transport switch"      ""
-rconfig   logical     pd_scalar           namelist,dynamics     max_domains    .false. rh    "pd_scalar"        "positive-definite RK3 transport switch"      ""
+rconfig   logical     pd_scalar           namelist,dynamics	max_domains    .true.  rh    "pd_scalar"        "positive-definite RK3 transport switch"      ""
+#rconfig   logical     pd_scalar           namelist,dynamics     max_domains    .false. rh    "pd_scalar"        "positive-definite RK3 transport switch"      ""
 rconfig   logical     pd_tke              namelist,dynamics	max_domains    .false. rh    "pd_tke"           "positive-definite RK3 transport switch"      ""
 rconfig   logical top_radiation           namelist,dynamics	max_domains    .false. rh    "top_radiation"         ""      ""
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 76)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 77)
@@ -832,5 +832,5 @@
                                    !! ----- [H2O ice is tracer nqmx in qsurf in LMD physics]
     CASE(2)  
-    qsurf_val(1)=10000.            !! infinite amount of dust, basically
+    qsurf_val(1)=0.                !! not coupled with lifting for the moment [non remobilise]
 #ifdef NEWPHYS
     CASE(3)
@@ -839,6 +839,5 @@
     qsurf_val(1)=0.
     qsurf_val(2)=MARS_WICE(i,j)    !! logique avec wtnom(2) = 'h2o_ice' defini ci-dessus
-    !!!! petit probleme... alors QSURF sorti dans wrfout n'est pas h2o_ice !
-    qsurf_val(3)=10000.            !! infinite amount of dust, basically
+    qsurf_val(3)=0.                !! not coupled with lifting for the moment [non remobilise]
 #else
     CASE(3:)
Index: trunk/mesoscale/NOTES.txt
===================================================================
--- trunk/mesoscale/NOTES.txt	(revision 76)
+++ trunk/mesoscale/NOTES.txt	(revision 77)
@@ -1,28 +1,41 @@
 
+changer le renormalisation dans aeropacity ????
+on ne laisse pas aerosol comme le lifting veut qu'il soit !
+tenter des taux de soulevement pour que taudust_tmp soit les obs
+en prescivant une dust bomb fixe d opacite, on aura au moins la structure verticale
+
+tester traceurs radiativement actifs avec la nouvelle physique ?????
+
+A FAIRE: PB LES sur iDATAPLEX (les points HFX nuls) (pas de soucis sur ciclad)
+METTRE SUR LE svn LA BASE d'ETATS INITIAUX ????
 
 more than 4 procs w/ nest ??? y reflechir
------------------------------------------------------------------------
--- si possible comment determiner taille ?
-nproc doit diviser e_we-1 (1er nest)
-grid_ratio doit diviser e_we-1 +4 (1er nest)
-soit e_we=ye+1
-grid_ratio divise ye+4 et nproc divise ye
-soit nproc=8, ye=8*i
-ainsi il existe j tel que 8i + 4 = 3j ou encore 4*[2i+1] = 3j
-verifie par exemple si 2i+1 est multiple de 3
-il suffit donc de trouver un multiple impair de 3 et de deduire i
-par exemple 2i+1=33 >>>> i=16
->>>> e_we = 129 pour le 1er nest (et ajouter 4 pour les suivants)
-------------------------------------------------------------------------
+	-----------------------------------------------------------------------
+	-- si possible comment determiner taille ?
+	nproc doit diviser e_we-1 (1er nest)
+	grid_ratio doit diviser e_we-1 +4 (1er nest)
+	soit e_we=ye+1
+	grid_ratio divise ye+4 et nproc divise ye
+	soit nproc=8, ye=8*i
+	ainsi il existe j tel que 8i + 4 = 3j ou encore 4*[2i+1] = 3j
+	verifie par exemple si 2i+1 est multiple de 3
+	il suffit donc de trouver un multiple impair de 3 et de deduire i
+	par exemple 2i+1=33 >>>> i=16
+	>>>> e_we = 129 pour le 1er nest (et ajouter 4 pour les suivants)
+	------------------------------------------------------------------------
+
+	ne pas utiliser le FASTCASE avec traceurs (instabilites en haut)
+            ces instabilites sont cependant reglees si on augmente radt a 10 par exemple
 
 pour le cycle de l'eau c'est OK de regler caps=F dans le mesoscale
 sauf si on commence a devoiler la calotte permanente nord
 
-NE SERAIT-CE PAS MIEUX DE TOUT TRANSMETTRE AUX BORNES ???
-tous les traceurs, pas seulement vapor
+	NE SERAIT-CE PAS MIEUX DE TOUT TRANSMETTRE AUX BORNES ???
+	tous les traceurs, pas seulement vapor
 
 
-- attention il faut les trois MARS sinon il s arrete sans message clair
-- attention a ne pas lancer le modele s il est deja lance
+	- attention il faut les trois MARS sinon il s arrete sans message clair
+	- attention a ne pas lancer le modele s il est deja lance
+	- important que pd_scalar soit a T ... le mettre par defaut ????
 
 
@@ -32,26 +45,27 @@
 - il faut tester le nest pour verifier les lignes trop longues
 
-(ok) lier gr_fi_dyn qui est dans dyn3d
-(ok) regler le pb du nouveau readtesassim (ou alors le lier tout simplement ou
-  l'appeler meso_readtesassim)
-(ok) regler le pb meso_dustlift (le lier dans makemeso comme point precedent)
-     (car le souci c que dustlift est appele dans vdifc)
+	(ok) lier gr_fi_dyn qui est dans dyn3d
+	(ok) regler le pb du nouveau readtesassim (ou alors le lier tout simplement ou
+	  l'appeler meso_readtesassim)
+	(ok) regler le pb meso_dustlift (le lier dans makemeso comme point precedent)
+	     (car le souci c que dustlift est appele dans vdifc)
 
-RESTE a ADAPTER le LES a la NOUVELLE PHYSIQUE
-il y a normalement peu a faire
-reste a faire egalement le -DNEWPHYS pour le LES
+	RESTE a ADAPTER le LES a la NOUVELLE PHYSIQUE
+	il y a normalement peu a faire
+	reste a faire egalement le -DNEWPHYS pour le LES
 
-attention pb d'affichage des valeurs dans le fichier texte avec LES ???
-bien que les valeurs du fichier soient tout a fait raisonnables
-... n'est-ce pas un effet de bord cache ????
+	attention pb d'affichage des valeurs dans le fichier texte avec LES ???
+	bien que les valeurs du fichier soient tout a fait raisonnables
+	... n'est-ce pas un effet de bord cache ????
 
 
-apres fusion, le LES est reconnu par module_lmd_driver lorsque diff_opt=2 km_opt=2
+	apres fusion, le LES est reconnu par module_lmd_driver lorsque diff_opt=2 km_opt=2
 
 
--attention PB si on ne sort pas HFX et USTM (note dans le Registry)
--il faut run.def nouvelle physique [c est meme ce qui est utilise par runmeso]
-- IL FAUT SE PENCHER SUR LE FAIT QU'ON INDIQUE q2val=0 dans lmd_driver ....
+	-attention PB si on ne sort pas HFX et USTM (note dans le Registry)
+	-il faut run.def nouvelle physique [c est meme ce qui est utilise par runmeso]
+	- IL FAUT SE PENCHER SUR LE FAIT QU'ON INDIQUE q2val=0 dans lmd_driver ....
 
+-----------------------
 ATTENTION NOUVELLE PHYSIQUE
 Oui, c'est quelque chose qu'il faut probablement changer partout 
@@ -81,37 +95,36 @@
 >>    set optim90=" -fast"
 >>    set optimtru90=" -fast -c -Mfree "
+------------------------------
+
+
+	- attention a cp et R, normaliser une bonne fois pour toutes
+	- il manque sur le SVN les cas idealises
+- il manque sur le SVN les scripts MPI
+	- il faut recompiler les librairies NETCDF
+	- mettre la nouvelle physique
+	- mettre les DEF du meso-echelle
+
+	- modele ok sur auric
+- modele pas ok sur ciclad avec pgf2010, erreur inedite un seul module manquant
+	- modele LES OK sur ciclad
+	- modele LES ok sur auric
+
+	24/01/2011
+	tests g95 en 64bits natif sur systeme Linux
+	-- modifications de makemeso, tests
+	-- tout est OK sauf les libraires NETCDF, probleme d'underscore
+	-- OK avec libraires maison compilees avec g95 standard sur flores [et tourne OK]
 
 
 
-- attention a cp et R, normaliser une bonne fois pour toutes
-- il manque sur le SVN les cas idealises
-- il manque sur le SVN les scripts MPI
-- il faut recompiler les librairies NETCDF
-- mettre la nouvelle physique
-- mettre les DEF du meso-echelle
-
-- modele ok sur auric
-- modele pas ok sur ciclad avec pgf2010, erreur inedite un seul module manquant
-- modele LES OK sur ciclad
-- modele LES ok sur auric
-
-24/01/2011
-tests g95 en 64bits natif sur systeme Linux
--- modifications de makemeso, tests
--- tout est OK sauf les libraires NETCDF, probleme d'underscore
--- OK avec libraires maison compilees avec g95 standard sur flores [et tourne OK]
-
-
-
-mpi_64_pgf7_ncdf4_mpi1.2.txt
-- probleme lors de la compilation de solve_em : LINUX runs out of memory [huchard]
-- IL FAUT COMPILER SUR auric
-
-nougaro est lent a la compilation, utiliser surtout auric
+	mpi_64_pgf7_ncdf4_mpi1.2.txt
+	- probleme lors de la compilation de solve_em : LINUX runs out of memory [huchard]
+	- IL FAUT COMPILER SUR auric
+	nougaro est lent a la compilation, utiliser surtout auric
 
 
 
 
-
+______________________________________________________
 
 
Index: trunk/mesoscale/TESTS/newphys_tracers/namelist.input
===================================================================
--- trunk/mesoscale/TESTS/newphys_tracers/namelist.input	(revision 76)
+++ trunk/mesoscale/TESTS/newphys_tracers/namelist.input	(revision 77)
@@ -8,5 +8,5 @@
  end_day          = 03,      !! (p1) End Martian Day
  end_hour         = 01,      !! (p1) End Martian Hour (at longitude 0)
- history_interval    = 10,   !! Frequency of outputs (37 --> 3700s = 1 Martian hour)  
+ history_interval    = 37,   !! Frequency of outputs (37 --> 3700s = 1 Martian hour)  
  frames_per_outfile  = 24,   !! Size of time dimension in files 
  restart          = .false.  !! (*) Output restart files ?