Index: trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso	(revision 80)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/gnome_launch.meso	(revision 81)
@@ -3,10 +3,12 @@
 # @ error = $(output)
 # @ job_type = MPICH
+# @ total_tasks=32
+## @ total_tasks=24
 ## @ total_tasks =16
 ## @ total_tasks =8
-# @ total_tasks =4
+## @ total_tasks =4
 # @ blocking = unlimited
-## @ class =AP
-# @ class =BP
+# @ class =AP
+## @ class =BP
 ## @ class =CP
 # @ environment=tmpdir=$(job_name).$(jobid).results
@@ -18,9 +20,10 @@
 cd $LOADL_STEP_INITDIR/${tmpdir}
 ####################################################################
-ln -sf  $LOADL_STEP_INITDIR/*.exe      .
 ln -sf  $LOADL_STEP_INITDIR/*.def      .
-ln -sf  $LOADL_STEP_INITDIR/wrf*       .
+ln -sf  $LOADL_STEP_INITDIR/wrfb*      .
+ln -sf  $LOADL_STEP_INITDIR/wrfi*      .
 ln -sf  $LOADL_STEP_INITDIR/namelist*  .
 declare -x MP_STACK_SIZE=64000000 
+ln -sf /san/home/spiga/trunk//mesoscale/LMD_MM_MARS/newphys_mpifort_64/wrf_x241_y241_z61_d1_t4_p32.exe wrf.exe
 mpirun wrf.exe
 ####################################################################
Index: trunk/mesoscale/LMD_MM_MARS/SIMU/runmeso
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SIMU/runmeso	(revision 80)
+++ trunk/mesoscale/LMD_MM_MARS/SIMU/runmeso	(revision 81)
@@ -233,5 +233,5 @@
    if [[ ${compilo} -eq 3 || ${compilo} -eq 5 ]]
    then
-       echo How many processors ? 1, 2, 4, 6, 8, 16 ; read numproc
+       echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 ; read numproc
    else
        numproc=1 
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 80)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 81)
@@ -90,5 +90,5 @@
 state  real  SWUP      ij   misc  1  -  rd   "SWUP"      "UPWARD SW FLUX AT TOP"           "W m-2"   #SAVEMARS2 fluxtop_sw_tot    
 state  real  LWUP      ij   misc  1  -  rd   "LWUP"      "UPWARD LW FLUX AT TOP"           "W m-2"   #SAVEMARS2 fluxtop_lw
-state  real  MTOT      ij   misc  1  -  rhd  "MTOT"      "TOTAL MASS WATER VAPOR"          "kg m-2"  #SAVEMARS2 mtot
+state  real  MTOT      ij   misc  1  -  rhd  "MTOT"      "TOTAL MASS WATER VAPOR in pmic"  "pmic"    #SAVEMARS2 mtot
 state  real  ICETOT    ij   misc  1  -  rhd  "ICETOT"    "TOTAL MASS WATER ICE"            "kg m-2"  #SAVEMARS2 icetot
 state  real  RAVE      ij   misc  1  -  rd   "RAVE"      "MEAN ICE RADIUS"                 "m"       #SAVEMARS2 rave
@@ -101,4 +101,6 @@
 state  real  HR_NIR    ikj  misc  1  -  rd   "HR_NIR"    "HEATING RATE nirco2"             "K/s"     #SAVEMARS3 zdtnirco2
 state  real  HR_NLTE   ikj  misc  1  -  rd   "HR_NLTE"   "HEATING RATE nlte"               "K/s"     #SAVEMARS3 zdtnlte
+state  real  ALBBARE   ij   misc  1  -  rhd  "ALBBARE"   "SOIL ALBEDO"                     ""        #SAVEMARS2 albedodat
+state  real  VMR_ICE   ikj  misc  1  -  rhd  "VMR_ICE"   "VOL. MIXING RATIO ICE"           "ppm"     #SAVEMARS3 vmr
 ####
 ####
@@ -115,8 +117,8 @@
 state  real  -         ikjftb  scalar  1  -  -                         -
 state  real  qh2o      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O"          "Water vapor mixing ratio"   "kg kg-1"
-state  real  qh2o_ice  ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O_ICE"      "Water ice mixing ratio"     "kg kg-1"
-state  real  qdust     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QDUST"         "Dust mixing ratio"          "kg kg-1"
-state  real  qdustn    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QDUSTN"        "Dust_number mixing ratio"   "kg kg-1"
-state  real  qco2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO2"          "CO2 mixing ratio"           "kg kg-1"
+state  real  qh2o_ice  ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "QH2O_ICE"      "Water ice mixing ratio"     "kg kg-1"
+state  real  qdust     ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "QDUST"         "Dust mixing ratio"          "kg kg-1"
+state  real  qdustn    ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "QDUSTN"        "Dust_number mixing ratio"   "kg kg-1"
+state  real  qco2      ikjftb  scalar  1  -  i01rusdf=(bdy_interp:dt)  "QCO2"          "CO2 mixing ratio"           "kg kg-1"
 ####
 ####
Index: trunk/mesoscale/LMD_MM_MARS/makemeso
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 80)
+++ trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 81)
@@ -110,8 +110,8 @@
          exit
        fi 
-       echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24 test 32 64 ; read numproc ;;
+       echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 test 64 ; read numproc ;;
     4) compilo='ifort' ; numproc=1 ;;
-    5) compilo='mpifort' ; echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24 test 32 64 ; read numproc ;;
-    7) compilo='mpixlf' ; echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24 test 32 64 ; read numproc ;;
+    5) compilo='mpifort' ; echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 test 64 ; read numproc ;;
+    7) compilo='mpixlf' ; echo How many processors ? 1, 2, 4, 6, 8, 12, 16, 20, 24, 32 test 64 ; read numproc ;;
 ### for tests 
 99) compilo='gnu' ; numproc=1 ;;