Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 81)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 86)
@@ -101,6 +101,7 @@
 state  real  HR_NIR    ikj  misc  1  -  rd   "HR_NIR"    "HEATING RATE nirco2"             "K/s"     #SAVEMARS3 zdtnirco2
 state  real  HR_NLTE   ikj  misc  1  -  rd   "HR_NLTE"   "HEATING RATE nlte"               "K/s"     #SAVEMARS3 zdtnlte
-state  real  ALBBARE   ij   misc  1  -  rhd  "ALBBARE"   "SOIL ALBEDO"                     ""        #SAVEMARS2 albedodat
+state  real  ALBBARE   ij   misc  1  -  rd   "ALBBARE"   "SOIL ALBEDO"                     ""        #SAVEMARS2 albedodat
 state  real  VMR_ICE   ikj  misc  1  -  rhd  "VMR_ICE"   "VOL. MIXING RATIO ICE"           "ppm"     #SAVEMARS3 vmr
+state  real  TAU_ICE   ij   misc  1  -  rhd  "TAU_ICE"   "CLOUD OD at 825 cm-1 TES"        ""        #SAVEMARS2 tauTES
 ####
 ####
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95	(revision 81)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_g95	(revision 86)
@@ -181,6 +181,6 @@
 # Ehouarn 'g95' compiler
 # Aymeric : added option for NETCDF libraries
-   set optim90=" -O2 -fno-second-underscore -fstatic -fzero -Wall "
-   set optimtru90=" -O2 -fno-second-underscore -fstatic -fzero -Wall "
+   set optim90=" -DMESOSCALE -O2 -fno-second-underscore -fstatic -fzero -Wall "
+   set optimtru90=" -DMESOSCALE -O2 -fno-second-underscore -fstatic -fzero -Wall "
 #   set opt_link=" -Mfree -L/usr/local/pgi/linux86/lib -lpgf90 -lpgftnrtl -lpghpf -lpghpf2 -L$NCDFLIB -lnetcdf -Wl,-Bstatic "
 # Ehouarn: there is no /usr/local/pgi/linux86/lib, but it doesn't matter
@@ -378,7 +378,7 @@
 #           set optim90="-mcmodel=medium"
 #         Aymeric : thought I'd complete the g95 debugging 
-          set optim="$optim"" -g -fbounds-check "
-          set optim90="$optim90"" -g -fbounds-check "
-          set optimtru90="$optimtru90"" -g -fbounds-check "
+          set optim="$optim"" -g -fbounds-check -DMESOSCALE "
+          set optim90="$optim90"" -g -fbounds-check -DMESOSCALE "
+          set optimtru90="$optimtru90"" -g -fbounds-check -DMESOSCALE "
         else 
            echo "pas d option debug predefinie pour cette machine"
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_ifort
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_ifort	(revision 81)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_ifort	(revision 86)
@@ -181,7 +181,7 @@
 # Ehouarn 'ifort' compiler
    #NB: on gnome -O3 ==> NaNs ...
-   set optim=" -O2 -ip -mkl=sequential -align common "
-   set optim90=" -O2 -ip -mkl=sequential -align common "
-   set optimtru90=" -O2 -ip -mkl=sequential -align common "
+   set optim=" -DMESOSCALE -O2 -ip -mkl=sequential -align common "
+   set optim90=" -DMESOSCALE -O2 -ip -mkl=sequential -align common "
+   set optimtru90=" -DMESOSCALE -O2 -ip -mkl=sequential -align common "
 #   set opt_link=" -Mfree -lpgf90 -lpgftnrtl -lpghpf -lpghpf2 -L$NCDFLIB -lnetcdf -Bstatic "
    set mod_loc_dir=$LIBOGCM
@@ -374,7 +374,7 @@
         else if $LINUX then
            ## for ifort
-             set optim=" -g -no-ftz -traceback -ftrapuv -fp-stack-check "
-             set optim90=" -g -no-ftz -traceback -ftrapuv -fp-stack-check "
-             set optimtru90=" -g -no-ftz -traceback -ftrapuv -fp-stack-check "
+             set optim=" -DMESOSCALE -g -no-ftz -traceback -ftrapuv -fp-stack-check "
+             set optim90=" -DMESOSCALE -g -no-ftz -traceback -ftrapuv -fp-stack-check "
+             set optimtru90=" -DMESOSCALE -g -no-ftz -traceback -ftrapuv -fp-stack-check "
         else 
            echo "pas d option debug predefinie pour cette machine"
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpi
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpi	(revision 81)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpi	(revision 86)
@@ -189,10 +189,10 @@
 ##-Ktrap=fp
 #   set optim90=" -fast -I. -Mlarge_arrays -mcmodel=medium" 
-   set optim=" -O2 -I. -Munroll -Mcache_align" #-C #-fpic" #-Mlarge_arrays -mcmodel=medium
-   set optim90=" -O2 -I. -Munroll -Mcache_align" #-C #-fpic" #-Mlarge_arrays -mcmodel=medium
+   set optim=" -DMESOSCALE -O2 -I. -Munroll -Mcache_align" #-C #-fpic" #-Mlarge_arrays -mcmodel=medium
+   set optim90=" -DMESOSCALE -O2 -I. -Munroll -Mcache_align" #-C #-fpic" #-Mlarge_arrays -mcmodel=medium
 ## Aymeric: added handling of large arrays and large memory
 ## Aymeric: get rid of -Mfree for mpi
 #   set optimtru90=" -fast -c -Mlarge_arrays -mcmodel=medium" 
-  set optimtru90=" -O2 -I. -Munroll -Mcache_align" #-C #-fpic" #-Mlarge_arrays -mcmodel=medium
+  set optimtru90=" -DMESOSCALE -O2 -I. -Munroll -Mcache_align" #-C #-fpic" #-Mlarge_arrays -mcmodel=medium
 #   set opt_link=" -Mfree -L/usr/local/pgi/linux86/lib -lpgf90 -lpgftnrtl -lpghpf -lpghpf2 -L$NCDFLIB -lnetcdf -Wl,-Bstatic "
 # Ehouarn: there is no /usr/local/pgi/linux86/lib, but it doesn't matter
@@ -388,5 +388,5 @@
            set optim90="$optim90"" -G1 "
         else if $LINUX then
-           set optim90="-g -Mbounds "
+           set optim90="-DMESOSCALE -g -Mbounds "
         else 
            echo "pas d option debug predefinie pour cette machine"
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpifort
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpifort	(revision 81)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_mpifort	(revision 86)
@@ -181,7 +181,7 @@
 # Ehouarn 'ifort' compiler
    #NB: on gnome -O3 ==> NaNs ...
-   set optim=" -O2 -ip -mkl=sequential -align common "
-   set optim90=" -O2 -ip -mkl=sequential -align common "
-   set optimtru90=" -O2 -ip -mkl=sequential -align common "
+   set optim=" -DMESOSCALE -O2 -ip -mkl=sequential -align common "
+   set optim90=" -DMESOSCALE -O2 -ip -mkl=sequential -align common "
+   set optimtru90=" -DMESOSCALE -O2 -ip -mkl=sequential -align common "
 #   set opt_link=" -Mfree -lpgf90 -lpgftnrtl -lpghpf -lpghpf2 -L$NCDFLIB -lnetcdf -Bstatic "
    set mod_loc_dir=$LIBOGCM
@@ -374,7 +374,7 @@
         else if $LINUX then
            ## for ifort
-             set optim=" -g -no-ftz -traceback -ftrapuv -fp-stack-check "
-             set optim90=" -g -no-ftz -traceback -ftrapuv -fp-stack-check "
-             set optimtru90=" -g -no-ftz -traceback -ftrapuv -fp-stack-check "
+             set optim=" -DMESOSCALE -g -no-ftz -traceback -ftrapuv -fp-stack-check "
+             set optim90=" -DMESOSCALE -g -no-ftz -traceback -ftrapuv -fp-stack-check "
+             set optimtru90=" -DMESOSCALE -g -no-ftz -traceback -ftrapuv -fp-stack-check "
         else 
            echo "pas d option debug predefinie pour cette machine"
Index: trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_pgf
===================================================================
--- trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_pgf	(revision 81)
+++ trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/mars_lmd_new/makegcm_pgf	(revision 86)
@@ -180,6 +180,6 @@
 else if $LINUX then
 ##-Ktrap=fp
-   set optim90=" -fast -I." 
-   set optimtru90=" -fast -c -Mfree" 
+   set optim90=" -DMESOSCALE -fast -I." 
+   set optimtru90=" -DMESOSCALE -fast -c -Mfree" 
 #   set opt_link=" -Mfree -L/usr/local/pgi/linux86/lib -lpgf90 -lpgftnrtl -lpghpf -lpghpf2 -L$NCDFLIB -lnetcdf -Wl,-Bstatic "
 # Ehouarn: there is no /usr/local/pgi/linux86/lib, but it doesn't matter
@@ -379,5 +379,5 @@
            set optim90="$optim90"" -G1 "
         else if $LINUX then
-           set optim90="-g -Mbounds "
+           set optim90="-g -Mbounds -DMESOSCALE "
         else 
            echo "pas d option debug predefinie pour cette machine"